Video Screencast Help

LiveUpdate Administrator 2.3.1: What's New

Created: 12 Dec 2011 | 12 comments
Language Translations
GrahamA's picture
+7 7 Votes
Login to vote

Please note: LUA 2.3.0 and previous releases utilize versions of PostgreSQL which have reached end of life, therefore all customers using previous versions of LUA are advised to move to LUA 2.3.1 as soon as possible.

What’s new

  • The LUA web server service will now automatically restart if it crashes or terminates unexpectedly.
  • LUA will now automatically install and utilise an optimised private Java Runtime Environment (version 1.6 update 27). This also means it is no longer necessary to separately install a public JRE.
  • It is now possible for LUA to automatically run multiple specified distribution tasks after a download task completes.
  • New quick link added to the user interface which allows customers to quickly and easily capture all LUA related troubleshooting information that Symantec Customer Support may require if answering a query or investigating a reported issue.
  • Other new quick links added to the user interface: How to configure a Remote Distribution Center, Product Selection Guide: Which SEP 12.1 sub components to select.
  • Added ability for LUA to automatically send email notification on successful completion of a task (can be used as a trigger for workflow / process automation).
  • LUA will now automatically send an email notification when disk space is running low on the drive to which LUA is installed (the LUA database is at risk of becoming corrupted if disk space runs low).
  • Email notification appearance has been enhanced (now HTML based).
  • Security within the user interface has been enhanced to ensure protection from specific potential attack scenarios.
  • LUA will now periodically send anonymous product information to Symantec (can be disabled if required).
  • LUA now installs and utilises the latest available versions of Apache Tomcat (7.0.21) and PostgreSQL (9.0.4).
  • 25 other 3rd party components upgraded.

How to download it

  • Contact Symantec Technical Support to obtain the software. 
  • LUA 2.3.1 will also be on the SEP 12.1 RU1 MP1 DVD when it releases in April 2012.

Comments 12 CommentsJump to latest comment

John Cooperfield's picture

The work you do on LUA is appreciated.

John

+2
Login to vote
iainmd's picture

I'm having some difficulty getting Symantec Technical Support to provide a download link for LUA 2.3.1.  I have a case open but there seems to be a level of confusion about whether or not it is actually available to supply to customers.

+1
Login to vote
Mick2009's picture

Feel free to PM me your case number and I can get in touch with the Tech Support Engineer to provide any details they may not be aware of.

With thanks and best regards,

Mick

0
Login to vote
iamadmin's picture

Too quick to jump on the bandwagon I guess....

Did an upgrade from 2.3 to 2.3.1 and now both of my http distribution centers are "Unreachable". Other than running the installer and rebooting, nothing was changed.

To clarify...I can see both sites from a web browser (so the web server is up and running), I just can't "reach" them from within the LUA console.

Any thoughts?

-Mike

0
Login to vote
iamadmin's picture

Not wanting to spin my wheels to hard trying to figure out what may be wrong, I decided to, once again blow away my LUA server and start over. I see a curious thing, there is now a default Login id: of 'lua' and a 3 character password that is prepopulated for both the 'Default Production Distribution Center' and the 'Default Testing Distribution Center'. What is nice to see is that the two sites are now 'Ready' (reachable).

Can't find anything regarding this username and password in the new manual. Maybe I just overlooked it. sad

The rebuild (without ANY java JRE preinstalled) continues.

-Mike

+1
Login to vote
John Q.'s picture

As per PostgreSQL website, 8.2 release has reached End-of-Life on December 2011 (this is the release used in LUA 2.2.2.9 and 2.3.0):

http://wiki.postgresql.org/wiki/PostgreSQL_Release_Support_Policy

Please remember to mark the proper comment as SOLUTION:
 - to identify threads that do not require further assistance
 - to let other visitors know how to fix such issue

0
Login to vote
Srikanth_Subra's picture

New Information..

Thanks & Regards,

 Srikanth.S

"Defeat the Defeat before the Defeat Defeats you"
(Swami Vivekananda)

0
Login to vote
DaveG's picture

...seems to be pretty inefficient.  I'd love it if Symantec would find a better way to provide these updates.  Support still doesn't seem to know how to provide it when asked:

Hi David,

This is in regards to your case : 416-522-833,

Need to download latest version of Live update administration.

Current Versions of LiveUpdate Administrator Tools

Article URL http://www.symantec.com/docs/TECH98548

What is the latest version of Symantec LiveUpdate Administrator 2.x (LUA 2.x)?

Article URL http://www.symantec.com/docs/TECH134809

Or

its located on the CD2 of symantec endpoint protection manager .

If you have not downloaded it , you can download it from fileconnect.

https://fileconnect.symantec.com/LangSelection.jsp

its located inside the tools folder of CD2 LUAESD.exe When you downloaded the DVD with Symantec Endpoint Protection (SEP) then go to "\Tools\LiveUpdate" folder and run LUAESD.exe to install LiveUpdate Administrator (LUA).

Please reply to this email if you have any issues or questions regards the same.

+1
Login to vote
Mick2009's picture

Hi DaveG,

Many thanks for posting about your experience.  I've been in touch with your case owner- you should receive a new email soon with details on how to download LUA 2.3.1.

Cheers again!

Mick

With thanks and best regards,

Mick

+2
Login to vote
DaveG's picture

To be fair, the original support tech got back to me at the end of the day with the right information.  I also received the information from a different tech this morning.  I appreciate the effort to get this resolved so quickly!

DaveG

+1
Login to vote
Paranormal's picture

Can we do a direct upgrade from version 2.3.0 to version 2.3.1?

0
Login to vote